---
import Card from "@/components/card.astro";
import Base from "./base.astro";
import Logo from "@/components/logo.astro";
const { cardStyling, title } = Astro.props;
const cardStyle = cardStyling + " " + "max-w-md mx-auto shadow-md";
---

<Base title={title}>
  <main class="flex flex-col items-center justify-center min-h-screen">
    <Card transparant={true} class={cardStyle}>
      <Logo />
      <!-- <h1 class="text-center text-2xl m-4 uppercase font-bold">{title}</h1> -->
      <slot />
    </Card>
  </main>
</Base>
